Summary:	Some very offensive fortunes.
Name:		fortune-mod-petey
Version:	1.0
Release:	2
Copyright:	GPL
Group:		Amusements/Games
URL:		http://www.lowrent.org/uruk/index.html
Vendor:		David Allen <s2mdalle@titan.vcu.edu>
Source:		petey-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Prefix:		%{_prefix}
Packager:	Chris Ausbrooks <weed@bucket.pp.ualr.edu>
AutoReqProv:	0
Requires:	/usr/games/fortune
BuildArch:	noarch

%description
These are some of the datafiles that come with a fortune-like program called
petey.  Some of them are quite offensive.  Consider yourself warned.  If you
find that you like them, you might want to look at the petey program.
 
%prep
%setup -q -n petey-%{version}

%build
cd DATA
for i in blurt exclamation jokes questions ; do
	rm -f petey-$i.dat
	cat $i.data \
		| tr a-m,n-z,A-M,N-Z n-z,a-m,N-Z,A-M \
		| tr "~" "%" \
		| tr "\n" "~" \
		| sed -e 's, %,~%,g' -e 's,~~~,~~,g' -e 's,~~%,~%,g' \
		| tr "~" "\n" \
		> petey-$i
	strfile -x petey-$i
done

%install
rm -rf %{buildroot}
cd DATA
for i in blurt exclamation jokes questions ; do
	install -D -m 644 petey-$i \
		%{buildroot}/%{prefix}/share/games/fortunes/off/
	install -D -m 644 petey-$i.dat \
		%{buildroot}/%{prefix}/share/games/fortunes/off/
done

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc CHANGELOG DISCLAIMER INSTALL LICENSE Petey.doc README RISCOSReadMe TODO
%doc disclaim.txt freesoftware.tag
%{prefix}/share/*/*/*/*

%changelog
* Wed Dec 29 1999 Chris Ausbrooks <weed@bucket.pp.ualr.edu>
- fixed error in creation of .dat file 
- (I forgot to use the -x option on strfile)
- fixed requires
- cleaned up translation
- used tr in the stead of rot13
- building requires tr from package textutils
- building requires sed

* Mon Dec 27 1999 Chris Ausbrooks <weed@bucket.pp.ualr.edu>
- original rpm
